Bug 11260 - Gencache is stabilized too often
Gencache is stabilized too often
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2015-05-06 22:17 UTC by Justin Maggard
Modified: 2015-05-21 08:09 UTC (History)
3 users (show)

See Also:

git-am cherry-pick from master for 4.2.next (998 bytes, patch)
2015-05-06 22:36 UTC, Jeremy Allison
obnox: review+
vl: review+
ira: review+

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Maggard 2015-05-06 22:17:33 UTC
Gencache by default should be stabilized every 100 writes or 5 minutes, whichever comes first.  However, Samba 4.2.x has a regression where stabilization may happen on nearly every gencache write.  This makes things like `net sam listmem` with many group members extremely slow.

This is fixed in master by commit 600b40db9d95c20c04fd517165dff81b20e35e8e (gencache: don't fail gencache_stabilize if there were records to delete.)  But it should probably be merged into v4-2-test since it's a significant performance regression for some operations.
Comment 1 Jeremy Allison 2015-05-06 22:36:44 UTC
Created attachment 11029 [details]
git-am cherry-pick from master for 4.2.next

Added bug id to commit message.
Comment 2 Jeremy Allison 2015-05-06 23:00:57 UTC
Re-assigning to Karolin for inclusion in 4.2.next.
Comment 3 Karolin Seeger 2015-05-20 11:40:35 UTC
(In reply to Jeremy Allison from comment #2)
Pushed to autobuild-v4-2-test.
Comment 4 Karolin Seeger 2015-05-21 08:09:04 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-2-test.
Closing out bug report.